Radial blurs an image

- « Imagick::queryFormats

- Imagick::raiseImage »

- PHP Manual
- Imagick
- Radial blurs an image

# Imagick::radialBlurImage

(PECL imagick 2, PECL imagick 3)

Imagick::radialBlurImage — Radial blurs an image

Warning

This function has been DEPRECATED as of Imagick 3.4.4. Relying on this function is highly discouraged.

### Description

public Imagick::radialBlurImage(float `$angle`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Radial blurs an image.

### Parameters

`angle`

`channel`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::radialBlurImage()

    <?phpfunction radialBlurImage($imagePath) {    $imagick = new \Imagick(realpath($imagePath));    //Blur 3 times with different radii    $imagick->radialBlurImage(3);    $imagick->radialBlurImage(5);    $imagick->radialBlurImage(7);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>